Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for WebLogic API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ejbadapter.appconn
Class EjbApplicationImpl

    java.lang.Object
      com.stc.connector.ejbadapter.appconn.EjbApplicationImpl

All Implemented Interfaces:
  com.stc.connector.appconn.ejbapplication.EjbApplication, Configurations

    public class EjbApplicationImpl

extends java.lang.Object
implements com.stc.connector.appconn.ejbapplication.EjbApplication, Configurations

Class implements the ICAN EJB client function to lookup EJB Home or local EJB Home interfaces

Version:
  5.1
Author:
  Andy Schaefer

Field Summary
`static java.lang.String` | `CORBANAME_PREFIX`
`static java.lang.String` | `LOCALEJB_PREFIX`

Fields inherited from interface com.stc.connector.ejbadapter.Configurations
`EJB_JNDI_NAME_PROPERTY, EJB_LOCAL_JNDI_NAME_PROPERTY, PARAMETER_SECTION_NAME, PORT_NUMBER_PROPERTY, SERVER_NAME_PROPERTY`

Constructor Summary
`EjbApplicationImpl()` default constructor
`EjbApplicationImpl(EjbApplicationConnection aAppConn)`

Method Summary
`void` | `cleanup()` `cleanup`
`java.lang.Object` | `getApplicationAsObj(java.lang.String appname)` `getApplicationAsObj`
`javax.ejb.EJBHome` | `getHome(java.lang.String aEJBHomeClassName)`
`javax.ejb.EJBHome` | `getHome(java.lang.String aEJBHomeClassName, javax.naming.InitialContext aContext)`
`javax.ejb.EJBLocalHome` | `getLocalHome(java.lang.String aEJBLocalHomeClassName)`
`javax.ejb.EJBLocalHome` | `getLocalHome(java.lang.String aEJBLocalHomeClassName, javax.naming.InitialContext aContext)`
`java.lang.Object` | `getRemote()`
`java.lang.Object` | `getRemote(javax.naming.InitialContext aContext)`
`void` | `initEjb()` `initEjb`
`void` | `reset()` `reset`
`void` | `sendAlert(java.lang.String msg, int level)`
`void` | `setConfiguration(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Doc me
`void` | `setMonitor(com.stc.connector.management.util.ObjectReference aValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CORBANAME_PREFIX

    public static final java.lang.String CORBANAME_PREFIX

See Also:
  Constant Field Values

### LOCALEJB_PREFIX

    public static final java.lang.String LOCALEJB_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### EjbApplicationImpl

    public EjbApplicationImpl()

  default constructor

### EjbApplicationImpl

    public EjbApplicationImpl(EjbApplicationConnection aAppConn)

Parameters:
  `appConn` - the applciation connection correspond to

Method Detail

### initEjb

    public void initEjb()
                 throws com.stc.connector.appconn.ejbapplication.EjbApplicationException

  `initEjb`

  Specified by:
    `initEjb` in interface `com.stc.connector.appconn.ejbapplication.EjbApplication`
  Throws:
    `com.stc.connector.appconn.ejbapplication.EjbApplicationException` - upon error

### cleanup

    public void cleanup()

  `cleanup`

  Specified by:
    `cleanup` in interface `com.stc.connector.appconn.ejbapplication.EjbApplication`

### reset

    public void reset()
               throws com.stc.connector.appconn.ejbapplication.EjbApplicationException

  `reset`

  Specified by:
    `reset` in interface `com.stc.connector.appconn.ejbapplication.EjbApplication`
  Throws:
    `com.stc.connector.appconn.ejbapplication.EjbApplicationException` - upon error

### getApplicationAsObj

    public java.lang.Object getApplicationAsObj(java.lang.String appname)
                                         throws com.stc.connector.appconn.ejbapplication.EjbApplicationException

  `getApplicationAsObj`

  Specified by:
    `getApplicationAsObj` in interface `com.stc.connector.appconn.ejbapplication.EjbApplication`
  Parameters:
    `appname` - server bind name
  Returns:
    java.lang.Object casted to
  Throws:
    `com.stc.connector.appconn.ejbapplication.EjbApplicationException` - upon error

### getHome

    public javax.ejb.EJBHome getHome(java.lang.String aEJBHomeClassName)
                              throws com.stc.connector.appconn.ejbapplication.EjbApplicationException

  Specified by:
    `getHome` in interface `com.stc.connector.appconn.ejbapplication.EjbApplication`
  Parameters:
    `aEJBHomeClassName` - Class Name of the EJB Home Interface
  Returns:
    An instance of the EJB Home interface (stub) if available
  Throws:
    `com.stc.connector.appconn.ejbapplication.EjbApplicationException`

### getHome

    public javax.ejb.EJBHome getHome(java.lang.String aEJBHomeClassName,
                                     javax.naming.InitialContext aContext)
                              throws com.stc.connector.appconn.ejbapplication.EjbApplicationException

  Specified by:
    `getHome` in interface `com.stc.connector.appconn.ejbapplication.EjbApplication`
  Parameters:
    `aEJBHomeClassName` - Class Name of the EJB Home Interface
  Returns:
    An instance of the EJB Home interface (stub) if available
  Throws:
    `com.stc.connector.appconn.ejbapplication.EjbApplicationException`

### getRemote

    public java.lang.Object getRemote()
                               throws com.stc.connector.appconn.ejbapplication.EjbApplicationException

  Specified by:
    `getRemote` in interface `com.stc.connector.appconn.ejbapplication.EjbApplication`
  Returns:
    An instance of the EJB Remote interface (stub) if available
  Throws:
    `com.stc.connector.appconn.ejbapplication.EjbApplicationException`

### getRemote

    public java.lang.Object getRemote(javax.naming.InitialContext aContext)
                               throws com.stc.connector.appconn.ejbapplication.EjbApplicationException

  Specified by:
    `getRemote` in interface `com.stc.connector.appconn.ejbapplication.EjbApplication`
  Returns:
    An instance of the EJB Remote interface (stub) if available
  Throws:
    `com.stc.connector.appconn.ejbapplication.EjbApplicationException`

### getLocalHome

    public javax.ejb.EJBLocalHome getLocalHome(java.lang.String aEJBLocalHomeClassName)
                                        throws com.stc.connector.appconn.ejbapplication.EjbApplicationException

  Specified by:
    `getLocalHome` in interface `com.stc.connector.appconn.ejbapplication.EjbApplication`
  Parameters:
    `aEJBLocalHomeClassName` - Class Name of the EJB Local Home Interface
  Returns:
    An instance of the EJB Local Home interface (stub) if available
  Throws:
    `com.stc.connector.appconn.ejbapplication.EjbApplicationException`

### getLocalHome

    public javax.ejb.EJBLocalHome getLocalHome(java.lang.String aEJBLocalHomeClassName,
                                               javax.naming.InitialContext aContext)
                                        throws com.stc.connector.appconn.ejbapplication.EjbApplicationException

  Specified by:
    `getLocalHome` in interface `com.stc.connector.appconn.ejbapplication.EjbApplication`
  Parameters:
    `aEJBLocalHomeClassName` - Class Name of the EJB Local Home Interface
  Returns:
    An instance of the EJB Local Home interface (stub) if available
  Throws:
    `com.stc.connector.appconn.ejbapplication.EjbApplicationException`

### setConfiguration

    public void setConfiguration(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                          throws java.lang.Exception

  Description copied from interface: `com.stc.connector.appconn.ejbapplication.EjbApplication`
  Doc me

  Specified by:
    `setConfiguration` in interface `com.stc.connector.appconn.ejbapplication.EjbApplication`
  Throws:
    `java.lang.Exception`

### setMonitor

    public void setMonitor(com.stc.connector.management.util.ObjectReference aValue)

  Specified by:
    `setMonitor` in interface `com.stc.connector.appconn.ejbapplication.EjbApplication`

### sendAlert

    public void sendAlert(java.lang.String msg,
                          int level)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for WebLogic API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD